Subject: Re: [PATCH] IPv6: only modify checksum for UDP

From: Nivedita Singhvi <[email-masked]>
Date: Fri, 10 Nov 2006 15:17:06 -0800

David Miller wrote:
> From: Brian Haley <[email-masked]>
> Date: Fri, 10 Nov 2006 11:24:45 -0500
> 
>> Only change upper-layer checksum from 0 to 0xFFFF for UDP (as RFC 768 
>> states), not for others as RFC 4443 doesn't require it.
>>
>> Signed-off-by: Brian Haley <[email-masked]>
> 
> Applied, thanks Brian.

Brian Haley wrote:
 > Al Viro wrote:
 >> Could you fscking read what you've replied to?  Your -=1 will turn 0
 >> into 0xffff instead of correct 0xfffe.  IOW, it's broken in 1:65536
 >> cases.
 >
 > I looked again at your previous email:
 >
 >> Note that even on little-endian you want
 >>     3 -> 2
 >>     2 -> 1
 >>     1 -> 0xffff
 >>     0 -> 0xfffe
 >
 > That doesn't look right to me, but I'll take your word that there's one
 > edge case out there I don't see (even though this worked on Alpha).
 > Forget about the patch then.

Er, given all of the above, Brian, could you share your test cases
and/or other/any information on testing this?

thanks,
Nivedita